> ## Documentation Index
> Fetch the complete documentation index at: https://docs.soharhealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pulse



## OpenAPI

````yaml get /v1/pulse/{pulseId}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sohar API
  license:
    name: MIT
servers:
  - url: https://api.soharhealth.com
security: []
paths:
  /v1/pulse/{pulseId}:
    get:
      tags:
        - Pulse
      summary: Get Pulse
      operationId: getPulse
      responses:
        '200':
          description: A pulse
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullPulseResponse'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - invalid_request_error
                    default: invalid_request_error
        '429':
          $ref: '#/components/responses/RateLimitExceeded'
        '500':
          description: Internal error
      security:
        - BasicAuth: []
components:
  schemas:
    FullPulseResponse:
      type: object
      properties:
        pulseId:
          type: string
          description: The Sohar ID for the request
          format: uuid
          example: fb701ac1-1246-4860-b1ec-bd916b97a991
        id:
          type: string
          nullable: true
          description: >-
            An optional identifier for the pulse. This is a user-defined value
            that can be used when creating the pulse
          example: '123456'
        status:
          type: string
          description: Describes the status of the request
          example: complete.active
        statusReason:
          type: string
          nullable: true
          description: >-
            Reason for the pulse status when status is "complete.inactive" or
            "error.payer". INACTIVE indicates coverage is inactive, NON_COVERED
            indicates coverage is active but the requested service type is not
            covered, CONTACT_PAYER_REQUIRED indicates the pulse requires manual
            payer contact, CONTACT_PAYER_REQUIRED indicates the verification is
            pending but requires manual payer contact when manual resolution is
            not enabled, ACTIVE_PENDING_INVESTIGATION indicates coverage is
            active but further investigation is required to determine
            eligibility (ie premium not paid), REFERRAL_REQUIRED indicates the
            requested service requires a referral.
          enum:
            - INACTIVE
            - NON_COVERED
            - CONTACT_PAYER_REQUIRED
            - ACTIVE_PENDING_INVESTIGATION
            - REFERRAL_REQUIRED
        plan:
          type: object
          properties:
            name:
              type: string
              nullable: true
              description: Describes the patient's plan
              example: OPEN CHOICE
            insuranceTypeCode:
              type: string
              nullable: true
              description: >-
                Describes the patient's [insurance
                type](https://x12.org/codes/insurance-descriptor-codes)
              example: HM
            startDate:
              type: string
              nullable: true
              description: Date on which coverage began in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
            endDate:
              type: string
              nullable: true
              description: Date on which coverage ends in MM/DD/YYYY format
              pattern: ^(0[1-9]|1[0-2])\/(0[1-9]|[12][0-9]|3[01])\/(19|20)\d\d$
              example: 09/20/2023
        payer:
          $ref: '#/components/schemas/Payer'
        group:
          type: object
          properties:
            number:
              type: string
              nullable: true
              description: Describes the patient's group number
              example: '123456'
            name:
              type: string
              nullable: true
              description: Describes the patient's group name
              example: ACME CORPORATION
        patient:
          type: object
          properties:
            memberId:
              type: string
              description: The insurance member ID
              example: '00000000'
        benefits:
          type: array
          items:
            $ref: '#/components/schemas/PulseBenefits'
    Payer:
      type: object
      properties:
        id:
          type: string
          description: >-
            The [payer
            ID](https://docs.soharhealth.com/api-reference/payers/get-payers).
            Note that this value may be different to the value provided in the
            original request if the original payer was incorrect and the correct
            payer has been found
          format: uuid
          example: '60054'
        name:
          type: string
          description: >-
            The payer's name. Note that this value may be different to the value
            provided in the original request if the original payer was incorrect
            and the correct payer has been found
          example: Aetna
    PulseBenefits:
      type: object
      properties:
        networkStatus:
          type: string
          description: |
            Describes the network status of the benefits

            `inn` In Network
            `oon` Out of Network
          enum:
            - inn
            - oon
        deductibles:
          type: array
          items:
            $ref: '#/components/schemas/Deductible'
        outOfPockets:
          type: array
          items:
            type: object
            properties:
              total:
                type: number
                nullable: true
                description: >-
                  The patient's out of pocket maximum value, in USD. Also known
                  as the stop loss value
                example: 10000
              remaining:
                type: number
                nullable: true
                description: >-
                  The patient's remaining out of pocket value, in USD. Also
                  known as the stop loss value
                example: 5103.21
              coverageLevelCode:
                type: string
                nullable: true
                description: >
                  Indicates the coverage level of the provided out of pocket
                  information. Possible values include: IND, FAM, CHD, DEP, ECH,
                  EMP, ESP, SPC, SPO
                example: IND
    Deductible:
      type: object
      properties:
        total:
          type: number
          nullable: true
          description: The patient's total deductible value, in USD
          example: 1000
        remaining:
          type: number
          nullable: true
          description: The patient's remaining deductible value, in USD
          example: 847.56
        coverageLevelCode:
          type: string
          nullable: true
          description: >
            Indicates the coverage level of the provided deductible information.
            Possible values include: IND, FAM, CHD, DEP, ECH, EMP, ESP, SPC, SPO
          example: IND
  responses:
    RateLimitExceeded:
      description: >-
        Too many requests. See [Rate
        Limits](/api-reference/api-reference/rate-limits).
      content:
        application/json:
          schema:
            type: object
            required:
              - error
            properties:
              error:
                type: string
          example:
            error: Too many requests
  securitySchemes:
    BasicAuth:
      type: http
      scheme: bearer
      description: >-
        Include an OAuth 2.0 bearer token in the `Authorization` header. See
        [Authentication](/api-reference/api-reference/authentication).

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.